OPSS - Unable To Upgrade Domain From WLS12.1.3 To 12.2.1 getting JPS-06198 OPSS Schema is not upgraded (Doc ID 2223224.1)

Last updated on JANUARY 17, 2017

Applies to:

Oracle Platform Security for Java - Version 12.1.3.0.0 and later
Information in this document applies to any platform.

Symptoms

Unable to upgrade domain from WLS12.1.3 to 12.2.1

Next error reported while running reconfiguring script:

2017-01-09 14:51:15,163 FINE  [96] com.oracle.cie.domain.opss.SecurityConfigurationFactoryRunner - The OPSS Security Configuration Abort Process Started...
2017-01-09 14:51:15,164 FINE  [96] com.oracle.cie.domain.opss.SecurityConfigurationFactoryRunner - The OPSS Security Configuration Abort Process Ended...
2017-01-09 14:51:15,167 SEVERE [96] com.oracle.cie.domain.TemplateImporter - Domain Reconfiguration Failed!

Domain Location: /u01/app/mh_logway/user_projects/domains/logway_domain

Reason: oracle.security.opss.tools.lifecycle.LifecycleException: oracle.security.jps.JpsException: JPS-06198: OPSS Schema is not upgraded. Current schema version is 12.1.3.0.0. Schema version for upgrade is 12.2.1.0.0
oracle.security.jps.JpsException: JPS-06198: OPSS Schema is not upgraded. Current schema version is 12.1.3.0.0. Schema version for upgrade is 12.2.1.0.0
at oracle.security.jps.upgrade.tools.utility.Upgrade.isSchemaUpgraded(Upgrade.java:1152)
at oracle.security.jps.upgrade.tools.utility.Upgrade.upgradeOPSSDITAndData(Upgrade.java:1065)
at oracle.security.jps.upgrade.tools.utility.Upgrade.upgradeOPSS(Upgrade.java:772)
at oracle.security.opss.tools.lifecycle.OpssDomainConfigImpl.reconfigSubsystem(OpssDomainConfigImpl.java:301)
at oracle.security.opss.tools.lifecycle.OpssDomainConfigImpl.reconfigureSubsystem(OpssDomainConfigImpl.java:229)
at oracle.security.opss.tools.lifecycle.cie.OpssSecurityConfiguration.reconfigureSubsystem(OpssSecurityConfiguration.java:186)
at com.oracle.cie.domain.TemplateImporter.run(TemplateImporter.java:360)
at com.oracle.cie.domain.ReconfigurationGenerator.run(ReconfigurationGenerator.java:120)
at java.lang.Thread.run(Thread.java:745)

oracle.security.jps.JpsException: JPS-06198: OPSS Schema is not upgraded. Current schema version is 12.1.3.0.0. Schema version for upgrade is 12.2.1.0.0
oracle.security.jps.JpsException: JPS-06198: OPSS Schema is not upgraded. Current schema version is 12.1.3.0.0. Schema version for upgrade is 12.2.1.0.0
at oracle.security.jps.upgrade.tools.utility.Upgrade.isSchemaUpgraded(Upgrade.java:1152)
at oracle.security.jps.upgrade.tools.utility.Upgrade.upgradeOPSSDITAndData(Upgrade.java:1065)
at oracle.security.jps.upgrade.tools.utility.Upgrade.upgradeOPSS(Upgrade.java:772)
at oracle.security.opss.tools.lifecycle.OpssDomainConfigImpl.reconfigSubsystem(OpssDomainConfigImpl.java:301)
at oracle.security.opss.tools.lifecycle.OpssDomainConfigImpl.reconfigureSubsystem(OpssDomainConfigImpl.java:229)
at oracle.security.opss.tools.lifecycle.cie.OpssSecurityConfiguration.reconfigureSubsystem(OpssSecurityConfiguration.java:186)
at com.oracle.cie.domain.TemplateImporter.run(TemplateImporter.java:360)
at com.oracle.cie.domain.ReconfigurationGenerator.run(ReconfigurationGenerator.java:120)
at java.lang.Thread.run(Thread.java:745)
.......
2017-01-09 14:51:15,168 FINE  [96] com.oracle.cie.domain.TemplateImporter - ReconfigurationGenerator.failed.finish.text
2017-01-09 14:51:15,169 FINE  [13] com.oracle.cie.wizard.domain.gui.tasks.ProgressGUITask$ConfigActionProgressListener$1 - Progress Task - Domain Reconfiguration Failed!

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms